Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 258

Summary: fdisk's 98 and fdisk linux mount point at install.
Product: [Retired] Red Hat Linux Reporter: blindauer
Component: abootAssignee: Matt Wilson <msw>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-01-12 03:37:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description blindauer 1998-12-02 09:07:28 UTC
This is a bug which concern the step next the partitionment.
I used win98's fdisk to create a primary partition, and a
extended partition. I planned to install linux in the
extended partition. win98's fdisk created an win95-extended
partition, with id 0x0f (NOT 0x05, which is the
dos-extended partition). I have tried the linux fdisk for
creating my swap partition and my / . It works fine.
but the next step in install is to write, which partition
with wich part of the file system. And the install program
didn't see the logical partition in the extended partition.
It only write a with /dev/hda2 in my case , and id 0x0f.

I have a partial solution for this problem: with fdisk,
change the type of the win95-extended partition to a
dos-extended partition. so the install program will see the
logical partitions. continue the install. reboot the machine
at end, rerun fdisk, and re-set the id from the
dos-partition to a win95-extended partition.

Comment 1 David Lawrence 1998-12-04 19:45:59 UTC
This has been verified to be a bug in the disk druid utility. I
created the following partitions and sizes on a 2.5 GB IDE Disk.

primary FAT32 partition    600 MB
Extended Win 95 partition  1900 MB
logical D: FAT32 partition 600 MB
logical E: FAT32 partition 600 MB
logical F: FAT16 partition 100 MB

I then ran 5.2 install. Disk druid reported the that partition 2 was
of type 0x0F and that the disk was full. I could not create any
additional partitions. I then flipped over the F2 console and ran
fdisk with the hda device created in /tmp. I change the partition type
of the Win 95 Extended partition (type f) to Extended (type 5) and
saved the settings. I then went back to disk druid, backed out, and
ten went back in. The partitions were now being reported correctly and
I could continue. Interestingly enough, the Windows primary still
booted normally and the Linux system. I changed the type 5 back to
type f using Linux fdisk and the system continued to behave properly
in both OS's. So therefore disk druid is just confused with that
partition type.

Comment 2 Matt Wilson 1999-01-12 03:37:59 UTC
This was fixed in the boot disk errata released at the beginning of
this month.